.pc-map{
    height: 648px;
}
.map-banner {
    overflow: hidden;
    position: relative;
}

.container {
    position: absolute;
    top: 100px;
    right: 400px;
}

/* 主要用来装功能块在容器内保证定位 相当于该功能块的padding*/

.container .wrap {
    width: 100px;
    height: 100px;
    top: 150px;
    left: 150px;
    margin: 0;
}

/* 功能块 */

.container .wrap .cube {
    width: 100px;
    height: 100px;
    transform-style: preserve-3d;
    /* perspective: 500px; */
    transform: rotateX(-30deg) rotateY(-80deg);
    animation: ziZhuan linear 20s infinite;
    animation-direction: alternate-reverse;
    transition: all 0.5s;
}

@keyframes ziZhuan {
    0% {
        transform: rotateX(0deg) rotateY(0deg);
    }

    100% {
        transform: rotateX(360deg) rotateY(360deg);
    }
}

.container .wrap .cube div {
    position: absolute;
    top: 0;
    left: 0;
    width: 200px;
    height: 200px;
    background-color: rgb(0, 183, 255);
    z-index: -1;
    transition: all 0.5s;
    opacity: 0.45;
    outline: rgb(40, 226, 240) solid thick;
    box-shadow: rgba(17, 123, 194, 0.712) 0 0 50px 50px;
}

.container .wrap .cube div img {
    width: 100%;
    height: 100%;
}

.container .wrap .cube span {
    position: absolute;
    top: 50px;
    left: 50px;
    display: block;
    width: 100px;
    height: 100px;
    outline: rgba(21, 40, 211, 0.664) solid thin;
    background-color: rgba(11, 96, 224, 0.295);
}

.container .wrap .cube span img {
    width: 100%;
    height: 100%;
}

.container .wrap .cube .out-front {
    transform: rotateY(0deg) translateZ(100px);
}

.container .wrap .cube .out-back {
    transform: translateZ(-100px);
}

/* //y正方向逆时针 */

.container .wrap .cube .out-left {
    transform: rotateY(-90deg) translateZ(100px);
}

.container .wrap .cube .out-right {
    transform: rotateY(90deg) translateZ(100px);
}

/*  x->正-上*/

.container .wrap .cube .out-top {
    transform: rotateX(90deg) translateZ(100px);
}

.container .wrap .cube .out-bottom {
    background-color: rgba(36, 238, 80, 0.253);
    transform: rotateX(-90deg) translateZ(100px);
}

.container .wrap .cube .in-left {
    transform: rotateY(-90deg) translateZ(50px);
}

.container .wrap .cube .in-right {
    transform: rotateY(90deg) translateZ(50px);
}

.container .wrap .cube .in-back {
    transform: translateZ(-50px);
}

.container .wrap .cube .in-front {
    transform: translateZ(50px);
}

.container .wrap .cube .in-top {
    transform: rotateX(90deg) translateZ(50px);
}

.container .wrap .cube .in-bottom {
    transform: rotateX(-90deg) translateZ(50px);
}

.container .wrap .cube:hover .out-front {
    transform: rotateY(0deg) translateZ(200px);
}

.container .wrap .cube:hover .out-back {
    transform: rotateY(0deg) translateZ(-200px);
}

.container .wrap .cube:hover .out-top {
    transform: rotateX(90deg) translateZ(200px);
}

.container .wrap .cube:hover .out-bottom {
    transform: rotateX(-90deg) translateZ(200px);
}

.container .wrap .cube:hover .out-right {
    transform: rotateY(90deg) translateZ(200px);
}

.container .wrap .cube:hover .out-left {
    transform: rotateY(-90deg) translateZ(200px);
}

.map-table {
    padding: 20px;
}

.map-header {
    display: flex;
    justify-content: space-between;
    height: 72px;
    line-height: 72px;
    position: relative;
}

.map-header-banner {
    position: absolute;
    width: 100%;
    height: 72px;
    top: 0;
}

.body-item {
    display: flex;
    justify-content: space-between;
    height: 72px;
    line-height: 72px;
}

.line-time {
    width: 32%;
    z-index: 9;
    padding-left: 20px;
}

.line-city {
    width: 32%;
    z-index: 9;
    padding-left: 20px;
}

.line-number {
    width: 36%;
    z-index: 9;
}

.header-text {
    color: #ffffff;
    font-size: 24px;
}

.body-text {
    color: #000000;
    font-size: 20px;
    display: flex;
    align-items: center;
}
.map-body{
    height: 576px;
    overflow-y: scroll;
}
::-webkit-scrollbar {
    display: none; /* 对于WebKit浏览器 */
}
.map-body .body-item:nth-child(2n) {
    background-color: #F1FAFB;
}

.body-item:hover {
    cursor: pointer;
    background-color: #cccccc;
}

.map-tips {
    display: inline-block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: #ff8c21;
    margin-right: 6px;
}



.progress {
    width: 100px;
    height: 100px;
    background: conic-gradient(#017f9b calc(var(--progress) * 360deg), #e9eef4 0deg);
    border-radius: 50%;
    position: relative;
    margin: 10px;
    transition: transform 0.3s ease;
    cursor: pointer;
}

.progress:hover{
    transform: scale(1.05);
}

.progress::before {
    content: attr(data-progerss);
    position: absolute;
    inset: 10px;
    background-color: #ffffff;
    color: #000000;
    font-size: 24px;
    width: 80px;
    height: 80px;
    text-align: center;
    line-height: 80px;
    border-radius: 50%;
}

.cake-wrap {
    display: flex;
    align-items: center;
    margin: 150px 0;
}

.half-box {
    width: 120px;
    height: 120px;
    position: relative;
}

.half-top-circle {
    position: absolute;
    top: 0;
    width: 120px;
    height: 60px;
    border-top-left-radius: 60px;
    border-top-right-radius: 60px;
    border: 2px solid #cccccc;
    border-bottom: 0;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.half-bottom-circle {
    position: absolute;
    bottom: 0;
    width: 120px;
    height: 60px;
    border-bottom-left-radius: 60px;
    border-bottom-right-radius: 60px;
    border: 2px solid #cccccc;
    border-top: 0;

    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.cake-item {
    display: flex;
    align-items: center;
    position: relative;
}

.cake-top-title {
    position: absolute;
    top: -60px;
    width: 100%;
    text-align: center;
    font-size: 24px;
    color: #018097;
}

.cake-bottom-title {
    position: absolute;
    bottom: -74px;
    width: 100%;
    text-align: center;
    font-size: 24px;
    color: #018097;
}

.cake-item::before {
    display: inline-block;
    content: '';
    width: 26px;
    height: 2px;
    background-color: #cccccc;
}

.cake-item::after {
    display: inline-block;
    content: '';
    width: 25px;
    height: 2px;
    background-color: #cccccc;
}

@media screen and (max-width: 768px) {
    .pc-map{
        height: 300px;
    }
    .map-body{
        height: 288px;
        overflow-y: scroll;
    }
    .cake-wrap {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-wrap: wrap;
        margin: 40px 0;
    }

    .cake-item {
        display: flex;
        align-items: center;
        position: relative;
        margin: 30px 0;
    }

    .cake-top-title {
        position: absolute;
        top: -30px;
        width: 100%;
        text-align: center;
        font-size: 14px;
        color: #018097;
    }

    .cake-bottom-title {
        position: absolute;
        top: -30px;
        width: 100%;
        text-align: center;
        font-size: 14px;
        color: #018097;
    }

    .cake-item::before {
        display: inline-block;
        content: '';
        width: 20px;
        height: 2px;
        background-color: #cccccc;
    }

    .cake-item::after {
        display: inline-block;
        content: '';
        width: 20px;
        height: 2px;
        background-color: #cccccc;
    }



    .map-table {
        padding: 10px;
    }

    .map-header {
        display: flex;
        justify-content: space-between;
        height: 36px;
        line-height: 36px;
        position: relative;
    }

    .map-header-banner {
        position: absolute;
        width: 100%;
        height: 36px;
        top: 0;
    }

    .body-item {
        display: flex;
        justify-content: space-between;
        height: 36px;
        line-height: 36px;
    }

    .line-time {
        width: 30%;
        z-index: 9;
        padding-left: 16px;
    }

    .line-city {
        width: 30%;
        z-index: 9;
        padding-left: 16px;
    }

    .line-number {
        width: 40%;
        z-index: 9;
        padding-left: 16px;
    }

    .header-text {
        color: #ffffff;
        font-size: 14px;
    }

    .body-text {
        color: #000000;
        font-size: 14px;
        display: flex;
        align-items: center;
    }
}